services:
  ufc.import_fighters:
    class: \Drupal\ufc\Services\FighterImporter
    arguments: ['@http_client', '@entity_type.manager', '@cache.ufc']
  ufc.fighter_create:
    class: \Drupal\ufc\Fighter
    arguments: ['@http_client','@entity_type.manager']
  ufc.import_fights:
    class: \Drupal\ufc\Services\FightImporter
    arguments: ['@http_client', '@entity_type.manager', '@date.formatter']
  cache.ufc:
    class: Drupal\Core\Cache\CacheBackendInterface
    tags:
      - { name: cache.bin }
    factory: ['@cache_factory', 'get']
    arguments: [ 'ufc' ]

